import { NostrAPI } from '../schema/types.js';
import { NostrRoom, RoomConfig } from '../lib/room.js';
export declare function useRoom({ store, update }: NostrAPI): {
    rooms: {
        list: NostrRoom[];
        join: (secret: string, config?: Partial<RoomConfig>) => NostrRoom;
        leave: (roomId: string) => void;
    };
};
//# sourceMappingURL=useRoom.d.ts.map